Subject: Re: [Jmap] Destroying mailboxes: how this affects messages

From: Neil Jenkins <[email-masked]>
Date: Thu, 30 Nov 2017 11:20:01 +1100

There was a bit more discussion of this at IETF100, and I think the
consensus was the current proposed solution was a bit of overkill. I've
revised the pull request so there's now a simpler
onDestroyRemoveMessages: Boolean (default: false) argument to
setMailboxes. If not set, or set explicitly to false, you get an error
if you try to destroy a mailbox that has messages in it. If it's set to
true, you get IMAP-like behaviour: messages are automatically removed
from it and destroyed if in no other mailbox.
If the client wants to do something else, it can explicitly fetch the
messages and move them wherever it wants before destroying the mailbox.
You can see the diff here[1]. How does this look to people?

Neil.

Links:

  1. https://github.com/jmapio/jmap/pull/145/files